Loading...
Searching...
No Matches
juce::dsp::ProcessorWrapper< ProcessorType > Struct Template Reference

## Detailed Description

template<typename ProcessorType>
struct juce::dsp::ProcessorWrapper< ProcessorType >

Wraps an instance of a given processor class, and exposes it through the ProcessorBase interface.

See also
  ProcessorBase

The documentation for this struct was generated from the following file:

- juce_dsp/processors/juce_ProcessorWrapper.h

Inheritance diagram for juce::dsp::ProcessorWrapper< ProcessorType >:

## Public Member Functions

void | prepare (const ProcessSpec &spec) override
void | process (const ProcessContextReplacing< float > &context) override
void | reset () override
Public Member Functions inherited from juce::dsp::ProcessorBase
| ProcessorBase ()=default
virtual | ~ProcessorBase ()=default

## Public Attributes

ProcessorType | processor

## Member Functions

## prepare()

template<typename ProcessorType>

void juce::dsp::ProcessorWrapper< ProcessorType >::prepare | ( | const ProcessSpec & | spec | ) |

inline override virtual

Implements juce::dsp::ProcessorBase.

References processor.

## process()

template<typename ProcessorType>

void juce::dsp::ProcessorWrapper< ProcessorType >::process | ( | const ProcessContextReplacing< float > & | context | ) |

inline override virtual

Implements juce::dsp::ProcessorBase.

References processor.

## reset()

template<typename ProcessorType>

void juce::dsp::ProcessorWrapper< ProcessorType >::reset | ( |  | ) |

inline override virtual

Implements juce::dsp::ProcessorBase.

References processor.

## Member Data Documentation

## processor

template<typename ProcessorType>

ProcessorType juce::dsp::ProcessorWrapper< ProcessorType >::processor

Referenced by prepare(), process(), and reset().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited